haskell-language-server

Safe Haskell | None
Language | GHC2021

HlsPlugins

Synopsis

- data Log = Pretty a => Log PluginId a
- idePlugins :: Recorder (WithPriority Log) -> IdePlugins IdeState

# Documentation

data Log #

Constructors

Pretty a => Log PluginId a |

#### Instances

Instances details

Pretty Log # |
Instance details Defined in HlsPlugins Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #

idePlugins :: Recorder (WithPriority Log) -> IdePlugins IdeState #

The plugins configured for use in this instance of the language server. These can be freely added or removed to tailor the available features of the server.